/**
 * An error to be used when a property is missing for the operation to be performed
 */
export class MissingPropertyError extends Error {
  public constructor(message?: string) {
    super(message ? message : 'Property is missing')
    this.name = 'MissingPropertyError'
    Object.setPrototypeOf(this, MissingPropertyError.prototype)
  }
}
